Subject: [RRG] How about integrating distributed database and anycast mechanism together

From: Xu Xiaohu <[email-masked]>
Date: Tue, 18 Sep 2007 18:18:22 +0800

Hi all,

With distributed mapping database, such as CRIO, the mapping tables are
smaller but paths are longer. With anycast mechanism, such as default-mapper
in eFIT-APT, the paths are shorter but the mapping tables are larger.

How about integrating both of them into one solution? For example, set up
multiple PoPs, within the transit network, which advertise the same
super-prefix, and ETRs register EID-RLOC mapping info to the nearest PoP.
Those PoPs advertising the same super-prefix should synchronize the mapping
database. In this way, the traffic with destination to the same edge network
can be shared among those PoPs and the average path is shorter compared with
CRIO.

Best regards,

Steven XU